-- license:BSD-3-Clause
-- copyright-holders:OzFalcon
local exports = {}
exports.name = "draw_frame_count"
exports.version = "0.0.4"
exports.description = "Draw Frame Count"
exports.license = "The BSD 3-Clause License"
exports.author = { name = "OzFalcon" }

local draw_frame_count = exports

function draw_frame_count.startplugin()

	emu.register_start(function()
		s = manager:machine().screens[":screen"]
		for tag, port in pairs(manager:machine():ioport().ports) do
		   if port.fields["Coin 1"] then
		      coin = { port = port, field = port.fields["Coin 1"] }
		      break
		   end
		end
	end)

	emu.register_frame_done(function()
		s:draw_text(1, 10, s:frame_number())
		s:draw_text(1, 20, coin.port:read())
		s:draw_text(1, 30, string.rep("*", (31 & s:frame_number())))
	end)
end

return exports
